diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/__init__.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/__init__.py
index fb751ca..b0b7e84 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/__init__.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/__init__.py
@@ -1247,7 +1247,8 @@ class TableView(PGChildNodeView, DataTypeReader, VacuumSettings):
         """
         res = [{'label': '', 'value': ''}]
         try:
-            SQL = render_template("/".join([self.template_path, 'get_relations.sql']))
+            SQL = render_template("/".join([self.template_path, 'get_relations.sql']),
+                                  show_sys_objects=self.blueprint.show_system_objects)
             status, rset = self.conn.execute_2darray(SQL)
             if not status:
                 return internal_server_error(errormsg=res)
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/templates/table/sql/9.1_plus/get_relations.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/templates/table/sql/9.1_plus/get_relations.sql
index 431ee88..a9c11ae 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/templates/table/sql/9.1_plus/get_relations.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/templates/table/sql/9.1_plus/get_relations.sql
@@ -1,6 +1,9 @@
 SELECT c.oid, quote_ident(n.nspname)||'.'||quote_ident(c.relname) AS like_relation
 FROM pg_class c, pg_namespace n
 WHERE c.relnamespace=n.oid
-AND
-c.relkind IN ('r', 'v', 'f')
+    AND c.relkind IN ('r', 'v', 'f')
+{% if not show_sys_objects %}
+    AND n.nspname NOT LIKE E'pg\\_%'
+    AND n.nspname NOT in ('information_schema', 'sys')
+{% endif %}
 ORDER BY 1;
\ No newline at end of file
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/templates/table/sql/9.5_plus/get_relations.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/templates/table/sql/9.5_plus/get_relations.sql
index 431ee88..a9c11ae 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/templates/table/sql/9.5_plus/get_relations.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/templates/table/sql/9.5_plus/get_relations.sql
@@ -1,6 +1,9 @@
 SELECT c.oid, quote_ident(n.nspname)||'.'||quote_ident(c.relname) AS like_relation
 FROM pg_class c, pg_namespace n
 WHERE c.relnamespace=n.oid
-AND
-c.relkind IN ('r', 'v', 'f')
+    AND c.relkind IN ('r', 'v', 'f')
+{% if not show_sys_objects %}
+    AND n.nspname NOT LIKE E'pg\\_%'
+    AND n.nspname NOT in ('information_schema', 'sys')
+{% endif %}
 ORDER BY 1;
\ No newline at end of file
